org.apache.fop.fo

## Class FObj.FObjIterator

- java.lang.Object
- - org.apache.fop.fo.FObj.FObjIterator

- All Implemented Interfaces:
    java.util.Iterator, java.util.ListIterator, FONode.FONodeIterator
  Enclosing class:
    FObj

      public static class FObj.FObjIterator
      extends java.lang.Object
      implements FONode.FONodeIterator

  Basic `FONode.FONodeIterator` implementation

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Object o)`
    `FONode` | `firstNode()` Returns the first node in the list, and decreases the index, so that a subsequent call to `hasPrevious()` will return `false`
    `boolean` | `hasNext()`
    `boolean` | `hasPrevious()`
    `FONode` | `lastNode()` Returns the last node in the list, and advances the current position, so that a subsequent call to `hasNext()` will return `false`
    `java.lang.Object` | `next()`
    `int` | `nextIndex()`
    `FONode` | `nextNode()` Convenience method with return type of FONode (semantically equivalent to: `(FONode) next();`)
    `FObj` | `parentNode()` Returns the parent node for this iterator's list of child nodes
    `java.lang.Object` | `previous()`
    `int` | `previousIndex()`
    `FONode` | `previousNode()` Convenience method with return type of FONode (semantically equivalent to: `(FONode) previous();`)
    `void` | `remove()`
    `void` | `set(java.lang.Object o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Method Detail

    - #### parentNode

          public FObj parentNode()

      Returns the parent node for this iterator's list of child nodes
      Specified by:
        `parentNode` in interface `FONode.FONodeIterator`
      Returns:
        the parent node

    - #### next

          public java.lang.Object next()

      Specified by:
        `next` in interface `java.util.Iterator`
      Specified by:
        `next` in interface `java.util.ListIterator`

    - #### previous

          public java.lang.Object previous()

      Specified by:
        `previous` in interface `java.util.ListIterator`

    - #### set

          public void set(java.lang.Object o)

      Specified by:
        `set` in interface `java.util.ListIterator`

    - #### add

          public void add(java.lang.Object o)

      Specified by:
        `add` in interface `java.util.ListIterator`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator`
      Specified by:
        `hasNext` in interface `java.util.ListIterator`

    - #### hasPrevious

          public boolean hasPrevious()

      Specified by:
        `hasPrevious` in interface `java.util.ListIterator`

    - #### nextIndex

          public int nextIndex()

      Specified by:
        `nextIndex` in interface `java.util.ListIterator`

    - #### previousIndex

          public int previousIndex()

      Specified by:
        `previousIndex` in interface `java.util.ListIterator`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator`
      Specified by:
        `remove` in interface `java.util.ListIterator`

    - #### lastNode

          public FONode lastNode()

      Returns the last node in the list, and advances the current position, so that a subsequent call to `hasNext()` will return `false`
      Specified by:
        `lastNode` in interface `FONode.FONodeIterator`
      Returns:
        the last node in the list

    - #### firstNode

          public FONode firstNode()

      Returns the first node in the list, and decreases the index, so that a subsequent call to `hasPrevious()` will return `false`
      Specified by:
        `firstNode` in interface `FONode.FONodeIterator`
      Returns:
        the first node in the list

    - #### nextNode

          public FONode nextNode()

      Convenience method with return type of FONode (semantically equivalent to: `(FONode) next();`)
      Specified by:
        `nextNode` in interface `FONode.FONodeIterator`
      Returns:
        the next node (if any), as a type FONode

    - #### previousNode

          public FONode previousNode()

      Convenience method with return type of FONode (semantically equivalent to: `(FONode) previous();`)
      Specified by:
        `previousNode` in interface `FONode.FONodeIterator`
      Returns:
        the previous node (if any), as a type FONode

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.